Motion - Bug Report 2011x 04x 06x 071405

BUG: Motion will not build with newer kernel headers

Kernel headers newer than 2.6.38 have dropped V4L1 support, thus <linux/videodev.h> no longer exists, making building motion impossible.

Kernel headers newer than 2.6.38 have dropped V4L1 support, thus &#60;linux/videodev.h&#62; no longer exists,
making building motion impossible.

I think we should introduce new configure option to enable/disable V4L1/V4L2 separately, not together as we have now.

Environment

Motion version: 3.2.12
ffmpeg version:  
Shared libraries: ffmpeg, mysql, postgresql
Server OS:  
-- IgorNovgorodov - 06 Apr 2011

Follow up

Indeed , i did a quick patch because was requested in irc channel , but i will make a formal patch and will commit in svn / git.

Cheers,

-- AngelCarpintero - 14 Apr 2011

Fix record

Committed a workaround in svn ( rev 527 ).

-- AngelCarpintero - 7 May 2011

Update to svn rev 528 ( little fix added )

-- AngelCarpintero - 10 May 2011
Topic revision: r4 - 10 May 2011, AngelCarpintero
Copyright © 1999-2017 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Please do not email Kenneth for support questions (read why). Use the Support Requests page or join the Mailing List.
This website only use harmless session cookies. See Cookie Policy for details. By using this website you accept the use of these cookies.